export declare class StateError extends Error {
    wantedStates: string[];
    gotState: string;
    constructor(wantedStates: string[], gotState: string);
}
export declare class UnknownLockfileStatusError extends Error {
    status: number;
    constructor(status: number);
}
export declare class UnableToUnlockLockfileError extends Error {
    thisInstance: boolean;
    file: string;
    constructor(thisInstance: boolean, file: string);
}
export declare class UnknownPlatformError extends Error {
    platform: string;
    constructor(platform: string);
}
export declare class UnknownArchitectureError extends Error {
    arch: string;
    platform?: string | undefined;
    constructor(arch: string, platform?: string | undefined);
}
export declare class WaitForPrimaryTimeoutError extends Error {
    timeout: number;
    where?: string | undefined;
    constructor(timeout: number, where?: string | undefined);
}
export declare class EnsureInstanceError extends Error {
    isRunning: boolean;
    constructor(isRunning: boolean);
}
export declare class NoSystemBinaryFoundError extends Error {
    binaryPath: string;
    constructor(binaryPath: string);
}
export declare class Md5CheckFailedError extends Error {
    binarymd5: string;
    checkfilemd5: string;
    constructor(binarymd5: string, checkfilemd5: string);
}
export declare class StartBinaryFailedError extends Error {
    binary: string;
    constructor(binary: string);
}
export declare class InstanceInfoError extends Error {
    where: string;
    constructor(where: string);
}
export declare class KeyFileMissingError extends Error {
    constructor();
}
export declare class AuthNotObjectError extends Error {
    constructor();
}
export declare class InsufficientPermissionsError extends Error {
    path: string;
    constructor(path: string);
}
export declare class BinaryNotFoundError extends Error {
    path: string;
    constructor(path: string);
}
/**
 * Custom Fallback Error for "utils.assertion", it is a named/custom Error to confuse less in the stacktrace
 */
export declare class AssertionFallbackError extends Error {
    constructor();
}
export declare class ReplsetCountLowError extends Error {
    count: number;
    constructor(count: number);
}
//# sourceMappingURL=errors.d.ts.map